# mptr_bmp.cpp File Reference

bmp Target Module More...

`#include "mptr_bmp.h"`
`#include <synfig/general.h>`
`#include <synfig/surface.h>`
`#include <algorithm>`
`#include <functional>`

## Namespaces

namespace | synfig

## Defines

#define | SYNFIG_NO_ANGLE
#define | little_endian(x) (x)
#define | little_endian_short(x) (x)

## Functions

| SYNFIG_IMPORTER_INIT (bmp_mptr)
| SYNFIG_IMPORTER_SET_NAME (bmp_mptr,"bmp")
| SYNFIG_IMPORTER_SET_EXT (bmp_mptr,"bmp")
| SYNFIG_IMPORTER_SET_VERSION (bmp_mptr,"0.1")
| SYNFIG_IMPORTER_SET_CVS_ID (bmp_mptr,"$Id$")

## Detailed Description

bmp Target Module

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SYNFIG_NO_ANGLE

#define little_endian | ( | x |  | ) | (x)

Referenced by bmp_mptr::get_frame(), and bmp::start_frame().

#define little_endian_short | ( | x |  | ) | (x)

Referenced by bmp_mptr::get_frame(), and bmp::start_frame().

## Function Documentation

SYNFIG_IMPORTER_INIT | ( | bmp_mptr |  | ) |

SYNFIG_IMPORTER_SET_NAME | ( | bmp_mptr | ,
|  | "bmp" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_EXT | ( | bmp_mptr | ,
|  | "bmp" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_VERSION | ( | bmp_mptr | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_CVS_ID | ( | bmp_mptr | ,
|  | "$Id$" |  |
| ) |  |  |